Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.requests
Class IsEntailedDirect

    java.lang.Object
      org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest<BooleanResponse>
          org.semanticweb.owlapi.owllink.builtin.requests.IsEntailedDirect

All Implemented Interfaces:
  KBRequest<BooleanResponse>, Request<BooleanResponse>

    public class IsEntailedDirect

extends AbstractKBRequest<BooleanResponse>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 20.11.2009

Constructor Summary
`IsEntailedDirect(IRI kb, OWLClassAssertionAxiom axiom)`
`IsEntailedDirect(IRI kb, OWLSubClassOfAxiom axiom)`
`IsEntailedDirect(IRI kb, OWLSubDataPropertyOfAxiom axiom)`
`IsEntailedDirect(IRI kb, OWLSubObjectPropertyOfAxiom axiom)`

Method Summary
`void` | `accept(RequestVisitor visitor)`
`OWLClassAssertionAxiom` | `asOWLClassAssertionAxiom()`
`OWLSubClassOfAxiom` | `asOWLSubClassOfAxiom()`
`OWLSubDataPropertyOfAxiom` | `asOWLSubDataPropertOfAxiom()`
`OWLSubObjectPropertyOfAxiom` | `asOWLSubObjectPropertOfAxiom()`
`OWLAxiom` | `getAxiom()`
`boolean` | `isOWLClassAssertionAxiom()`
`boolean` | `isOWLSubClassOfAxiom()`
`boolean` | `isOWLSubDataPropertyOfAxiom()`
`boolean` | `isOWLSubObjectPropertyOfAxiom()`

Methods inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest
`getKB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsEntailedDirect

    public IsEntailedDirect(IRI kb,
                            OWLSubClassOfAxiom axiom)

### IsEntailedDirect

    public IsEntailedDirect(IRI kb,
                            OWLSubObjectPropertyOfAxiom axiom)

### IsEntailedDirect

    public IsEntailedDirect(IRI kb,
                            OWLSubDataPropertyOfAxiom axiom)

### IsEntailedDirect

    public IsEntailedDirect(IRI kb,
                            OWLClassAssertionAxiom axiom)

Method Detail

### getAxiom

    public OWLAxiom getAxiom()

### isOWLSubClassOfAxiom

    public boolean isOWLSubClassOfAxiom()

### isOWLSubObjectPropertyOfAxiom

    public boolean isOWLSubObjectPropertyOfAxiom()

### isOWLSubDataPropertyOfAxiom

    public boolean isOWLSubDataPropertyOfAxiom()

### isOWLClassAssertionAxiom

    public boolean isOWLClassAssertionAxiom()

### asOWLSubClassOfAxiom

    public OWLSubClassOfAxiom asOWLSubClassOfAxiom()

### asOWLSubObjectPropertOfAxiom

    public OWLSubObjectPropertyOfAxiom asOWLSubObjectPropertOfAxiom()

### asOWLSubDataPropertOfAxiom

    public OWLSubDataPropertyOfAxiom asOWLSubDataPropertOfAxiom()

### asOWLClassAssertionAxiom

    public OWLClassAssertionAxiom asOWLClassAssertionAxiom()

### accept

    public void accept(RequestVisitor visitor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD